Bug 1239309 - xen package does not create new entry in /boot/efi/EFI/fedora/grub.cfg
Summary: xen package does not create new entry in /boot/efi/EFI/fedora/grub.cfg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-05 14:37 UTC by an0nym
Modified: 2015-08-12 07:01 UTC (History)
7 users (show)

Fixed In Version: xen-4.4.2-9.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of: 1111278
Environment:
Last Closed: 2015-08-12 06:57:25 UTC
Type: Bug


Attachments (Terms of Use)

Description an0nym 2015-07-05 14:37:43 UTC
+++ This bug was initially created as a clone of Bug #1111278 +++

xen package does not create new entry in  /boot/efi/EFI/fedora/grub.cfg

HW:
Intel(R) Core(TM) i5-4300M CPU @ 2.60GHz 8GB RAM

OS:
Fedora release 20 (Heisenbug)
xen-4.3.2-4.fc20.x86_64

-- yum update
-- install xen (yum install xen -y)

Steps to Reproduce:

http://wiki.xen.org/wiki/Fedora_Host_Installation

"as root. yum will, as usual, take care of downloading and installing anything that is needed. As a part of that, it also create a new GRUB2 boot menu entry. Once the installation is complete, just reboot and select "Xen 4.x.x" from the GRUB2 menu.
"

Actual results:

 grep xen /boot/efi/EFI/fedora/grub.cfg
### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

Expected results:
- menu item in grub to boot into xen dom0 environment

Additional info:

Where is the problem?
- xen?
- grub2?
- efi?

It looks like the xen package tried to do its thing. 

find /boot/ | grep xen
/boot/flask/xenpolicy.24
/boot/xen.gz
/boot/xen-4.3.2.gz
/boot/xen-4.3.gz
/boot/efi/EFI/fedora/xen-4.3.2.efi
/boot/xen-syms-4.3.2

--- Additional comment from  on 2015-01-25 06:41:48 EST ---

This bug has not been fixed and is there in Fedora 21 as well. 

I've tried installing Fedora 21 both from Fedora-Server-netinst-x86_64-21.iso in Minimal configuration and from Fedora-Live-Workstation-x86_64-21-5.iso in EFI mode followed by yum install xen. Entry in grub just don't get created. 

It works in MBR and does not work in EFI.

--- Additional comment from  on 2015-05-09 06:15:21 EDT ---

The issue is still there in Fedora 22 Beta.

--- Additional comment from Fedora End Of Life on 2015-05-29 08:09:46 EDT ---

This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2015-06-29 17:12:41 EDT ---

Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 an0nym 2015-07-05 14:38:57 UTC
Reproducible against Fedora 22.

Comment 2 Fedora Update System 2015-07-23 21:22:44 UTC
xen-4.5.1-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xen-4.5.1-3.fc22

Comment 3 Fedora Update System 2015-07-25 20:38:20 UTC
xen-4.4.2-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xen-4.4.2-8.fc21

Comment 4 Fedora Update System 2015-08-02 18:01:17 UTC
xen-4.5.1-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xen-4.5.1-5.fc22

Comment 5 Fedora Update System 2015-08-02 20:26:01 UTC
xen-4.4.2-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xen-4.4.2-9.fc21

Comment 6 Fedora Update System 2015-08-03 04:31:38 UTC
Package xen-4.5.1-5.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xen-4.5.1-5.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12657/xen-4.5.1-5.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-08-12 06:57:25 UTC
xen-4.5.1-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-08-12 07:01:04 UTC
xen-4.4.2-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.